package com.xuqm.server.appmanager.repository.sys.v1;

import com.xuqm.server.appmanager.entitys.sys.v1.ApplicationEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ApplicationRepository extends JpaRepository<ApplicationEntity, Long> {
    ApplicationEntity findFirstByAppNameAndTenantNo(String appName, String tenantNo);

    ApplicationEntity findFirstByTenantNoAndPackageNameOrAppName(String tenantNo, String packageName, String appName);

    Page<ApplicationEntity> findAllByTenantNo(String tenantNo, Pageable pageable);

    boolean existsByAppId(String appId);
}
